B2SUM(1)

NAME
b2sum - compute and check BLAKE2 message digest

SYNOPSIS
b2sum [OPTION]... [FILE]...

DESCRIPTION

Print or check BLAKE2b (512-bit) checksums.

With no FILE, or when FILE is -, read standard input.

Mandatory arguments to long options are mandatory for short options too.

-b, --binary
    read in binary mode

-c, --check
    read checksums from the FILEs and check them

-l, --length=BITS
    digest length in bits; must not exceed the max for the blake2 algorithm and must be a multiple of 8

--tag
    create a BSD-style checksum

-t, --text
    read in text mode (default)

-z, --zero
    end each output line with NUL, not newline, and disable file name escaping

  The following five options are useful only when verifying checksums:

--ignore-missing
    don't fail or report status for missing files

--quiet
    don't print OK for each successfully verified file

--status
    don't output anything, status code shows success

--strict
    exit non-zero for improperly formatted checksum lines

-w, --warn
    warn about improperly formatted checksum lines

--help
    display this help and exit

--version
    output version information and exit

The sums are computed as described in RFC 7693. When checking, the input should be a former output of this program. The default mode is to print a line with: checksum, a space, a character indicating input mode ('*' for binary, ' ' for text or where binary is insignificant), and name for each FILE.

There is no difference between binary mode and text mode on GNU systems.

AUTHOR
Written by Padraig Brady and Samuel Neves.

REPORTING BUGS
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Report any translation bugs to <https://translationproject.org/team/>

SEE ALSO
cksum(1)

Full documentation <https://www.gnu.org/software/coreutils/b2sum>
or available locally via: info '(coreutils) b2sum invocation'

Packaged by Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.